# Return SpamAssassin™ symbolic test scores

This function lists the Apache SpamAssassin™ scores for each symbolic test.

Endpoint: GET /SpamAssassin/get_symbolic_test_names
Version: 11.138.0.10
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `errors` (any)

  - `func` (string)
    The name of the method called.
    Example: "get_symbolic_test_names"

  - `messages` (any)

  - `module` (string)
    The name of the module called.
    Example: "SpamAssassin"

  - `result` (object)

  - `result.data` (array)

  - `result.data.key` (string)
    The name of the test.
    Example: "ACT_NOW_ALL_CAPS"

  - `result.data.rule_type` (string)
    The type and section of the email that the SpamAssassin analyses.
* body_tests
* full_evals
* head_evals
* head_tests
* meta_tests
* other_tests
* rawbody_tests
* uri_tests
    Enum: "body_tests", "full_evals", "head_evals", "head_tests", "meta_tests", "other_tests", "rawbody_tests", "uri_tests"

  - `result.data.score` (any)
    The score to assign to the email if the result of the test is true.
    Example: 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.

  - `status` (any)


